
Application: gvSIG desktop - gvSIG bugs #2795
Al imprimir o exportar a PDF, no se pinta el relleno de los rectángulos y círculos del documento Mapa
08/20/2014 12:40 PM - Cesar Martinez Izquierdo

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: Symbology
Target version: 2.1.0-2246-testing
Severity: Minor Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2245 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Yes Hito:
Add-on name: Unknown
Description

Si se imprime o exporta a PDF un documento Mapa que contenga gráficos de tipo rectángulo, círculo, etc, se observará que se pierde
el relleno de los mismos.

Esto es debido a que SimpleFillSymbol (en el core) ignora la transformada afín que se le pasa en el método print.

Adjunto un parche que lo corrige, aunque podría subir yo mismo el cambio si se prefiere.

Associated revisions
Revision 41692 - 09/03/2014 12:48 PM - Joaquín  del Cerro Murciano

Aplicado el parche del ticket "Al imprimir o exportar a PDF, no se pinta el relleno de los rectángulos y círculos del documento Mapa", refs #2795.

History
#1 - 08/20/2014 12:42 PM - Cesar Martinez Izquierdo

Realmente es un duplicado del bug #2570 que ya estaba reportado.

#2 - 08/21/2014 03:38 AM - Álvaro Anguix
- Assignee set to Joaquín  del Cerro Murciano

#3 - 08/21/2014 03:38 AM - Álvaro Anguix
- Target version set to 2.1.0-2259-rc3

#4 - 08/27/2014 04:04 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.2.0-2311-rc2

#5 - 09/02/2014 03:16 AM - Álvaro Anguix
- Target version changed from 2.2.0-2311-rc2 to 2.1.0-2259-rc3

#6 - 09/03/2014 12:51 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed
#7 - 09/08/2014 10:00 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2246-testing

#8 - 09/15/2014 03:47 AM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
SimpleFillSymbol.patch 977 Bytes 08/20/2014 Cesar Martinez Izquierdo
